@font-face {
  font-family: VollkornRegular;
  src: url('../fonts/vollkorn/Vollkorn-Regular.ttf');
}
@font-face {
  font-family: VollkornBolt;
  src: url('../fonts/vollkorn/Vollkorn-Bold.ttf');
}
@font-face {
  font-family: VollkornExtraBolt;
  src: url('../fonts/vollkorn/Vollkorn-ExtraBold.ttf');
}

b {
  font-weight: 600;
}

.clearfix:after {
  content: " "; /* Older browser do not support empty content */
  visibility: hidden;
  display: block;
  height: 0;
  clear: both;
}

body {
  font-family: VollkornRegular;
  font-size: 16px;
  text-align: center;
  font-variant-numeric: lining-nums;
}

body > .container {
  max-width: 1440px;
  width: 90%;
  padding: 0 5%;
  display: inline-block;
  text-align: left;
}

header {
  position: relative;
  width: 100%;
  margin-top: 5%;
  padding: 2em 0 1em;
}

header > .info {
  position: relative;
  text-align: center;
  z-index: 10;
  padding-top: 7.5rem;
}

header > .info > .titles {
  text-align: center;
  position: absolute;
  top: 0;
  width: 100%;
}

header > .info > .titles > .name {
  font-size: 3em;
  font-family: VollkornBolt;
  font-weight: 600;
  color: #393939;
  width: 100%;
  margin: 0;
  padding: 0;
}

header > .info > .titles > .separator {
  display: inline-block;
  width: 27rem;
  height: 3px;
  margin: .5em 0;
  background-color: #393939;
}

header > .info > .titles > .position {
  font-size: 2.4em;
  font-family: VollkornBolt;
  font-weight: 600;
  color: #393939;
  width: 100%;
  margin: 0;
  padding: 0;
}

header > .logo {
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  width: 50%;
  background: url('../img/avatar/avatar.png') no-repeat center right ;
  background-size: auto 100%;
  z-index: 0;
}

header > .info > .contacts {
  text-align: left;
}

header > .info > .contacts > li {
  margin-bottom: 1em;
}

header > .info > .contacts > li:last-child {
  margin: 0;
}

header > .info > .contacts > li > .title {
  display: inline-block;
  font-weight: 600;
  color: #393939;
  width: 8em;
  font-size: 1.5rem;
}

header > .info > .contacts > li > .value {
  display: inline-block;
  color: #666464;
  position: relative;
  font-size: 1.5rem;
}

header > .info > .contacts > li > .value > a {
  color: #666464;
  text-decoration: none;
}

header > .info > .contacts > li > .value.overflow {
  width: calc(100% - 10em);
  height: 1em;
  white-space: nowrap;
}

header > .info > .contacts > li > .value.overflow > a {
  position: absolute;
  top: .25em;
  left: 0;
  width: 100%;
  white-space: nowrap;
}

header > .info > .contacts > li > .value > a:hover {
  color: #3360f5;
  text-decoration: none;
}

header > .info > .contacts > li:first-child {
  margin-bottom: 0.8em;
}

header > .info > .contacts > li:first-child > .value {
  border-bottom: 1px solid #666464;
  padding-bottom: 0.2em;
}

.stack {
  text-align: center;
  padding: .5em 0 1em 0;
}

.stack > li {
  display: inline-block;
  width: 5.5%;
  margin: 0 .5em;
}

.stack > li > .title {
  font-size: 1.2em;
  font-family: VollkornExtraBolt;
  font-weight: 600;
  color: #393939;
  padding: .5em 0;
}

.stack > li > .img {
  height: 6em;
  width: 100%;
  background-size: 100% auto;
  background-position: center;
  background-repeat: no-repeat;
}

.stack > li > .img.php {
  background-image: url('../img/stack/php.png');
}
.stack > li > .img.js {
  background-image: url('../img/stack/js.png');
}
.stack > li > .img.css {
  background-image: url('../img/stack/css.png');
}
.stack > li > .img.html {
  background-image: url('../img/stack/html.png');
}
.stack > li > .img.mysql {
  background-image: url('../img/stack/mysql.png');
}
.stack > li > .img.postgres {
  background-image: url('../img/stack/postgres.png');
}
.stack > li > .img.redis {
  background-image: url('../img/stack/redis.png');
}
.stack > li > .img.yii {
  background-image: url('../img/frameworks/yii2.png');
}
.stack > li > .img.nodejs {
  background-image: url('../img/frameworks/nodejs.png');
}
.stack > li > .img.nodejs {
  background-image: url('../img/frameworks/nodejs.png');
}
.stack > li > .img.react {
  background-image: url('../img/frameworks/react.png');
}
.stack > li > .img.git {
  background-image: url('../img/frameworks/git.png');
}
.stack > li > .img.docker {
  background-image: url('../img/frameworks/docker.png');
}
.stack > li > .img.ansible {
  background-image: url('../img/frameworks/ansible.png');
}
.stack > li > .img.gitlab {
  background-image: url('../img/frameworks/gitlab.png');
}

.intro {
  font-size: 1.5em;
  line-height: 1.5em;
  margin-bottom: 1em;
}

.intro > p {
  margin-bottom: .8em;
}

.intro > p:last-child {
  margin-bottom: 0;
}

.companies > li {
  margin-bottom: .8rem;
  text-align: center;
}

.companies > li:after {
  content:'';
  display: inline-block;
  width: 50%;
  margin-top: .75rem;
  border-bottom: 1px solid #666464;
}

.companies > li:last-child:after {
  margin: 0;
  border: none;
}

.companies > li > .title {
  margin-bottom: 1rem;
}

.companies > li > .title > .company {
  color: #393939;
  font-family: VollkornExtraBolt;
  font-weight: 600;
  font-size: 1.5em;
  float: left;
}

.companies > li > .title > .period {
  color: #666464;
  font-size: 1.5em;
  float: right;
  width: 14em;
  text-align: center;
}

.companies > li > .description {
  font-size: 1.5em;
  line-height: 1.5em;
  text-align: left;
}

@media screen and (max-width: 1024px) {
  body {
    font-size: 12px;
  }

  header > .info {
    padding-top: 6rem;
  }

  header > .info > .titles {
    width: 65%;
  }

  header > .info > .titles > .separator {
    height: 2px;
    width: 20rem;
  }

  header > .info > .contacts > li > .title {
    font-size: 1.2rem;
  }

  header > .info > .contacts > li > .value {
    font-size: 1.2rem;
  }
}

@media screen and (max-width: 768px) {
  body {
    font-size: 10px;
  }

  header > .info {
    padding-top: 5rem;
  }

  header > .info > .titles > .separator {
    width: 18rem;
  }

  header > .info > .contacts {
    font-size: 1.5em;
  }

  header > .info > .contacts > li {
    margin-bottom: .8em;
  }

  header > .info > .contacts > li:last-child {
    margin-bottom: .6em;
  }

  header > .info > .contacts > li > .title {
    font-size: 1rem;
  }

  header > .info > .contacts > li > .value {
    font-size: 1rem;
  }

  .stack > li {
    display: inline-block;
    width: 5.3%;
    margin: 0 .5em;
  }

  .stack > li > .img {
    height: 4.7em;
  }

  html[lang="ua"] header {
    margin-top: 0;
  }

  html[lang="ua"] header > .info > .titles > .separator {
    width: 19rem;
  }

  html[lang="ua"] header > .info > .contacts > li > .title {
    width: 9em;
  }

  html[lang="ua"] > body > .container {
    width: 100%;
    padding: 0;
  }

  html[lang="ua"] > body > .container > header {
    padding-bottom: 0;
  }

  html[lang="ua"] > body > .container > .stack > li > .img {
    height: 5.2em;
  }

  html[lang="ua"] > body > .container > .companies > li:last-child {
    margin-bottom: 0;
  }
}

@media (min-width: 320px) and (max-width: 480px) {
  header {
    margin-top: 1em !important;
  }

  header > .info {
    padding-top: 20rem;
  }

  header > .info > .titles {
    width: 100%;
  }

  header > .logo {
    width: 100%;
    height: 23em;
    top: 6rem;
    background-size: auto 100%;
  }

  header > .info > .contacts > li > .title {
    width: 7em;
  }

  header > .info > .contacts > li:last-child > .value.overflow {
    width: 100%;
  }

  header > .info > .contacts > li > .value.overflow > a {
    white-space: normal;
  }

  .stack {
    position: absolute;
    top: 7.25rem;
    left: 0;
    width: 50%;
  }

  .stack > li {
    width: 15%;
    margin-bottom: 0.25rem;
  }

  .stack > li > .title {
    font-size: .5rem;
  }

  .stack > li > .img {
    height: 2.2rem;
    background-size: 100%;
  }

  .intro {
    margin-top: .5rem;
  }

  .companies > li:after {
    display: none;
  }

  .companies > li > .title > .company {
    float: none;
    width: 100%;
    text-align: center;
  }

  .companies > li > .title > .company:after {
    content: '';
    display: inline-block;
    width: 60%;
    margin: .25rem;
    border-bottom: 1px solid #666464;
  }

  .companies > li > .title > .period {
    float: none;
    width: 100%;
  }

  html[lang="ua"] header > .info > .titles > .separator {
    width: 18rem;
  }

  html[lang="ua"] header > .info > .contacts > li > .title {
    width: 8em;
  }

  html[lang="ua"] > body > .container {
    width: 90%;
    padding: 0 5%;
  }

  html[lang="ua"] > body > .container > header {
    padding: 2em 0 1em;
  }

  html[lang="ua"] > body > .container > .stack > li > .img {
    height: 2.2rem;
  }

  html[lang="ua"] > body > .container > .companies > li:last-child {
    margin-bottom: .8rem;
  }
}

@media (min-width: 300px) and (max-width: 320px) {
  header > .info {
    padding-top: 18rem;
  }

  header > .logo {
    height: 20em;
  }

  header > .info > .contacts > li > .value.overflow {
    width: 100%;
  }

  .stack {
    top: 6.8rem;
  }

  .stack > li > .title {
    padding: .25em 0;
  }

  .stack > li > .img {
    height: 2rem !important;
  }

  html[lang="ua"] header > .info > .titles > .name {
    font-size: 2.8em;
  }
}
